com.genesyslab.wfm8.API.service.config851

## Class CfgShift

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config851.CfgShift

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgShift
      extends java.lang.Object
      implements java.io.Serializable

  Shift Information
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected long` | `timestamp`
    `protected java.util.List<CfgShiftBMSequence>` | `wmBMSequences`
    `protected int` | `wmBMSequencesNSizeIs`
    `protected int` | `wmBreakMaxDistance`
    `protected int` | `wmBreakMinDistance`
    `protected int` | `wmBUId`
    `protected int` | `wmConsecutiveDays`
    `protected int` | `wmDayOffRule`
    `protected int` | `wmDistribPeriod`
    `protected int` | `wmEarliestEndDuration`
    `protected double` | `wmEarliestStartTime`
    `protected int` | `wmLatestEndDuration`
    `protected int` | `wmLatestStartDuration`
    `protected int` | `wmMaxDuration`
    `protected int` | `wmMaxOccur`
    `protected int` | `wmMinDuration`
    `protected int` | `wmMinOccur`
    `protected java.lang.String` | `wmName`
    `protected java.util.List<java.lang.Boolean>` | `wmOpenWeekDays`
    `protected java.util.List<CfgShiftBreak>` | `wmShiftBreaks`
    `protected int` | `wmShiftBreaksNSizeIs`
    `protected java.util.List<CfgContractShift>` | `wmShiftContracts`
    `protected int` | `wmShiftContractsNSizeIs`
    `protected int` | `wmShiftId`
    `protected java.util.List<CfgShiftMeal>` | `wmShiftMeals`
    `protected int` | `wmShiftMealsNSizeIs`
    `protected java.util.List<java.lang.Integer>` | `wmShiftTaskSequences`
    `protected int` | `wmShiftTaskSequencesNSizeIs`
    `protected java.util.List<java.lang.Integer>` | `wmSiteId`
    `protected int` | `wmSiteIdNSizeIs`
    `protected int` | `wmStartStep`
    `protected int` | `wmTaskSequenceUsage`
    `protected boolean` | `wmUseAfterDayOff`
    `protected boolean` | `wmUseConsecutive`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgShift()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `long` | `getTimestamp()` Gets the value of the timestamp property.
    `java.util.List<CfgShiftBMSequence>` | `getWmBMSequences()` Gets the value of the wmBMSequences property.
    `int` | `getWmBMSequencesNSizeIs()` Gets the value of the wmBMSequencesNSizeIs property.
    `int` | `getWmBreakMaxDistance()` Gets the value of the wmBreakMaxDistance property.
    `int` | `getWmBreakMinDistance()` Gets the value of the wmBreakMinDistance property.
    `int` | `getWmBUId()` Gets the value of the wmBUId property.
    `int` | `getWmConsecutiveDays()` Gets the value of the wmConsecutiveDays property.
    `int` | `getWmDayOffRule()` Gets the value of the wmDayOffRule property.
    `int` | `getWmDistribPeriod()` Gets the value of the wmDistribPeriod property.
    `int` | `getWmEarliestEndDuration()` Gets the value of the wmEarliestEndDuration property.
    `double` | `getWmEarliestStartTime()` Gets the value of the wmEarliestStartTime property.
    `int` | `getWmLatestEndDuration()` Gets the value of the wmLatestEndDuration property.
    `int` | `getWmLatestStartDuration()` Gets the value of the wmLatestStartDuration property.
    `int` | `getWmMaxDuration()` Gets the value of the wmMaxDuration property.
    `int` | `getWmMaxOccur()` Gets the value of the wmMaxOccur property.
    `int` | `getWmMinDuration()` Gets the value of the wmMinDuration property.
    `int` | `getWmMinOccur()` Gets the value of the wmMinOccur property.
    `java.lang.String` | `getWmName()` Gets the value of the wmName property.
    `java.util.List<java.lang.Boolean>` | `getWmOpenWeekDays()` Gets the value of the wmOpenWeekDays property.
    `java.util.List<CfgShiftBreak>` | `getWmShiftBreaks()` Gets the value of the wmShiftBreaks property.
    `int` | `getWmShiftBreaksNSizeIs()` Gets the value of the wmShiftBreaksNSizeIs property.
    `java.util.List<CfgContractShift>` | `getWmShiftContracts()` Gets the value of the wmShiftContracts property.
    `int` | `getWmShiftContractsNSizeIs()` Gets the value of the wmShiftContractsNSizeIs property.
    `int` | `getWmShiftId()` Gets the value of the wmShiftId property.
    `java.util.List<CfgShiftMeal>` | `getWmShiftMeals()` Gets the value of the wmShiftMeals property.
    `int` | `getWmShiftMealsNSizeIs()` Gets the value of the wmShiftMealsNSizeIs property.
    `java.util.List<java.lang.Integer>` | `getWmShiftTaskSequences()` Gets the value of the wmShiftTaskSequences property.
    `int` | `getWmShiftTaskSequencesNSizeIs()` Gets the value of the wmShiftTaskSequencesNSizeIs property.
    `java.util.List<java.lang.Integer>` | `getWmSiteId()` Gets the value of the wmSiteId property.
    `int` | `getWmSiteIdNSizeIs()` Gets the value of the wmSiteIdNSizeIs property.
    `int` | `getWmStartStep()` Gets the value of the wmStartStep property.
    `int` | `getWmTaskSequenceUsage()` Gets the value of the wmTaskSequenceUsage property.
    `int` | `hashCode()`
    `boolean` | `isWmUseAfterDayOff()` Gets the value of the wmUseAfterDayOff property.
    `boolean` | `isWmUseConsecutive()` Gets the value of the wmUseConsecutive property.
    `void` | `setTimestamp(long value)` Sets the value of the timestamp property.
    `void` | `setWmBMSequences(java.util.List<CfgShiftBMSequence> wmBMSequences)` Sets the value of the wmBMSequences property.
    `void` | `setWmBMSequencesNSizeIs(int value)` Sets the value of the wmBMSequencesNSizeIs property.
    `void` | `setWmBreakMaxDistance(int value)` Sets the value of the wmBreakMaxDistance property.
    `void` | `setWmBreakMinDistance(int value)` Sets the value of the wmBreakMinDistance property.
    `void` | `setWmBUId(int value)` Sets the value of the wmBUId property.
    `void` | `setWmConsecutiveDays(int value)` Sets the value of the wmConsecutiveDays property.
    `void` | `setWmDayOffRule(int value)` Sets the value of the wmDayOffRule property.
    `void` | `setWmDistribPeriod(int value)` Sets the value of the wmDistribPeriod property.
    `void` | `setWmEarliestEndDuration(int value)` Sets the value of the wmEarliestEndDuration property.
    `void` | `setWmEarliestStartTime(double value)` Sets the value of the wmEarliestStartTime property.
    `void` | `setWmLatestEndDuration(int value)` Sets the value of the wmLatestEndDuration property.
    `void` | `setWmLatestStartDuration(int value)` Sets the value of the wmLatestStartDuration property.
    `void` | `setWmMaxDuration(int value)` Sets the value of the wmMaxDuration property.
    `void` | `setWmMaxOccur(int value)` Sets the value of the wmMaxOccur property.
    `void` | `setWmMinDuration(int value)` Sets the value of the wmMinDuration property.
    `void` | `setWmMinOccur(int value)` Sets the value of the wmMinOccur property.
    `void` | `setWmName(java.lang.String value)` Sets the value of the wmName property.
    `void` | `setWmOpenWeekDays(java.util.List<java.lang.Boolean> wmOpenWeekDays)` Sets the value of the wmOpenWeekDays property.
    `void` | `setWmShiftBreaks(java.util.List<CfgShiftBreak> wmShiftBreaks)` Sets the value of the wmShiftBreaks property.
    `void` | `setWmShiftBreaksNSizeIs(int value)` Sets the value of the wmShiftBreaksNSizeIs property.
    `void` | `setWmShiftContracts(java.util.List<CfgContractShift> wmShiftContracts)` Sets the value of the wmShiftContracts property.
    `void` | `setWmShiftContractsNSizeIs(int value)` Sets the value of the wmShiftContractsNSizeIs property.
    `void` | `setWmShiftId(int value)` Sets the value of the wmShiftId property.
    `void` | `setWmShiftMeals(java.util.List<CfgShiftMeal> wmShiftMeals)` Sets the value of the wmShiftMeals property.
    `void` | `setWmShiftMealsNSizeIs(int value)` Sets the value of the wmShiftMealsNSizeIs property.
    `void` | `setWmShiftTaskSequences(java.util.List<java.lang.Integer> wmShiftTaskSequences)` Sets the value of the wmShiftTaskSequences property.
    `void` | `setWmShiftTaskSequencesNSizeIs(int value)` Sets the value of the wmShiftTaskSequencesNSizeIs property.
    `void` | `setWmSiteId(java.util.List<java.lang.Integer> wmSiteId)` Sets the value of the wmSiteId property.
    `void` | `setWmSiteIdNSizeIs(int value)` Sets the value of the wmSiteIdNSizeIs property.
    `void` | `setWmStartStep(int value)` Sets the value of the wmStartStep property.
    `void` | `setWmTaskSequenceUsage(int value)` Sets the value of the wmTaskSequenceUsage property.
    `void` | `setWmUseAfterDayOff(boolean value)` Sets the value of the wmUseAfterDayOff property.
    `void` | `setWmUseConsecutive(boolean value)` Sets the value of the wmUseConsecutive property.
    `java.lang.String` | `toString()`
    `CfgShift` | `withTimestamp(long value)`
    `CfgShift` | `withWmBMSequences(CfgShiftBMSequence... values)`
    `CfgShift` | `withWmBMSequences(java.util.Collection<CfgShiftBMSequence> values)`
    `CfgShift` | `withWmBMSequencesNSizeIs(int value)`
    `CfgShift` | `withWmBreakMaxDistance(int value)`
    `CfgShift` | `withWmBreakMinDistance(int value)`
    `CfgShift` | `withWmBUId(int value)`
    `CfgShift` | `withWmConsecutiveDays(int value)`
    `CfgShift` | `withWmDayOffRule(int value)`
    `CfgShift` | `withWmDistribPeriod(int value)`
    `CfgShift` | `withWmEarliestEndDuration(int value)`
    `CfgShift` | `withWmEarliestStartTime(double value)`
    `CfgShift` | `withWmLatestEndDuration(int value)`
    `CfgShift` | `withWmLatestStartDuration(int value)`
    `CfgShift` | `withWmMaxDuration(int value)`
    `CfgShift` | `withWmMaxOccur(int value)`
    `CfgShift` | `withWmMinDuration(int value)`
    `CfgShift` | `withWmMinOccur(int value)`
    `CfgShift` | `withWmName(java.lang.String value)`
    `CfgShift` | `withWmOpenWeekDays(java.lang.Boolean... values)`
    `CfgShift` | `withWmOpenWeekDays(java.util.Collection<java.lang.Boolean> values)`
    `CfgShift` | `withWmShiftBreaks(CfgShiftBreak... values)`
    `CfgShift` | `withWmShiftBreaks(java.util.Collection<CfgShiftBreak> values)`
    `CfgShift` | `withWmShiftBreaksNSizeIs(int value)`
    `CfgShift` | `withWmShiftContracts(CfgContractShift... values)`
    `CfgShift` | `withWmShiftContracts(java.util.Collection<CfgContractShift> values)`
    `CfgShift` | `withWmShiftContractsNSizeIs(int value)`
    `CfgShift` | `withWmShiftId(int value)`
    `CfgShift` | `withWmShiftMeals(CfgShiftMeal... values)`
    `CfgShift` | `withWmShiftMeals(java.util.Collection<CfgShiftMeal> values)`
    `CfgShift` | `withWmShiftMealsNSizeIs(int value)`
    `CfgShift` | `withWmShiftTaskSequences(java.util.Collection<java.lang.Integer> values)`
    `CfgShift` | `withWmShiftTaskSequences(java.lang.Integer... values)`
    `CfgShift` | `withWmShiftTaskSequencesNSizeIs(int value)`
    `CfgShift` | `withWmSiteId(java.util.Collection<java.lang.Integer> values)`
    `CfgShift` | `withWmSiteId(java.lang.Integer... values)`
    `CfgShift` | `withWmSiteIdNSizeIs(int value)`
    `CfgShift` | `withWmStartStep(int value)`
    `CfgShift` | `withWmTaskSequenceUsage(int value)`
    `CfgShift` | `withWmUseAfterDayOff(boolean value)`
    `CfgShift` | `withWmUseConsecutive(boolean value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmShiftId

          protected int wmShiftId

    - #### wmBUId

          protected int wmBUId

    - #### wmSiteIdNSizeIs

          protected int wmSiteIdNSizeIs

    - #### wmSiteId

          protected java.util.List<java.lang.Integer> wmSiteId

    - #### wmName

          protected java.lang.String wmName

    - #### wmMinDuration

          protected int wmMinDuration

    - #### wmMaxDuration

          protected int wmMaxDuration

    - #### wmEarliestStartTime

          protected double wmEarliestStartTime

    - #### wmLatestEndDuration

          protected int wmLatestEndDuration

    - #### wmDayOffRule

          protected int wmDayOffRule

    - #### wmOpenWeekDays

          protected java.util.List<java.lang.Boolean> wmOpenWeekDays

    - #### wmStartStep

          protected int wmStartStep

    - #### wmMinOccur

          protected int wmMinOccur

    - #### wmMaxOccur

          protected int wmMaxOccur

    - #### wmDistribPeriod

          protected int wmDistribPeriod

    - #### wmBreakMinDistance

          protected int wmBreakMinDistance

    - #### wmTaskSequenceUsage

          protected int wmTaskSequenceUsage

    - #### wmUseConsecutive

          protected boolean wmUseConsecutive

    - #### wmConsecutiveDays

          protected int wmConsecutiveDays

    - #### wmUseAfterDayOff

          protected boolean wmUseAfterDayOff

    - #### wmLatestStartDuration

          protected int wmLatestStartDuration

    - #### wmEarliestEndDuration

          protected int wmEarliestEndDuration

    - #### wmBreakMaxDistance

          protected int wmBreakMaxDistance

    - #### wmShiftContractsNSizeIs

          protected int wmShiftContractsNSizeIs

    - #### wmShiftContracts

          protected java.util.List<CfgContractShift> wmShiftContracts

    - #### wmBMSequencesNSizeIs

          protected int wmBMSequencesNSizeIs

    - #### wmBMSequences

          protected java.util.List<CfgShiftBMSequence> wmBMSequences

    - #### wmShiftMealsNSizeIs

          protected int wmShiftMealsNSizeIs

    - #### wmShiftMeals

          protected java.util.List<CfgShiftMeal> wmShiftMeals

    - #### wmShiftBreaksNSizeIs

          protected int wmShiftBreaksNSizeIs

    - #### wmShiftBreaks

          protected java.util.List<CfgShiftBreak> wmShiftBreaks

    - #### wmShiftTaskSequencesNSizeIs

          protected int wmShiftTaskSequencesNSizeIs

    - #### wmShiftTaskSequences

          protected java.util.List<java.lang.Integer> wmShiftTaskSequences

    - #### timestamp

          protected long timestamp

  - ### Constructor Detail

    - #### CfgShift

          public CfgShift()

  - ### Method Detail

    - #### getWmShiftId

          public int getWmShiftId()

      Gets the value of the wmShiftId property.

    - #### setWmShiftId

          public void setWmShiftId(int value)

      Sets the value of the wmShiftId property.

    - #### getWmBUId

          public int getWmBUId()

      Gets the value of the wmBUId property.

    - #### setWmBUId

          public void setWmBUId(int value)

      Sets the value of the wmBUId property.

    - #### getWmSiteIdNSizeIs

          public int getWmSiteIdNSizeIs()

      Gets the value of the wmSiteIdNSizeIs property.

    - #### setWmSiteIdNSizeIs

          public void setWmSiteIdNSizeIs(int value)

      Sets the value of the wmSiteIdNSizeIs property.

    - #### getWmSiteId

          public java.util.List<java.lang.Integer> getWmSiteId()

      Gets the value of the wmSiteId property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmSiteId property.

      For example, to add a new item, do as follows:

              getWmSiteId().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getWmName

          public java.lang.String getWmName()

      Gets the value of the wmName property.
      Returns:
        possible object is `String`

    - #### setWmName

          public void setWmName(java.lang.String value)

      Sets the value of the wmName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmMinDuration

          public int getWmMinDuration()

      Gets the value of the wmMinDuration property.

    - #### setWmMinDuration

          public void setWmMinDuration(int value)

      Sets the value of the wmMinDuration property.

    - #### getWmMaxDuration

          public int getWmMaxDuration()

      Gets the value of the wmMaxDuration property.

    - #### setWmMaxDuration

          public void setWmMaxDuration(int value)

      Sets the value of the wmMaxDuration property.

    - #### getWmEarliestStartTime

          public double getWmEarliestStartTime()

      Gets the value of the wmEarliestStartTime property.

    - #### setWmEarliestStartTime

          public void setWmEarliestStartTime(double value)

      Sets the value of the wmEarliestStartTime property.

    - #### getWmLatestEndDuration

          public int getWmLatestEndDuration()

      Gets the value of the wmLatestEndDuration property.

    - #### setWmLatestEndDuration

          public void setWmLatestEndDuration(int value)

      Sets the value of the wmLatestEndDuration property.

    - #### getWmDayOffRule

          public int getWmDayOffRule()

      Gets the value of the wmDayOffRule property.

    - #### setWmDayOffRule

          public void setWmDayOffRule(int value)

      Sets the value of the wmDayOffRule property.

    - #### getWmOpenWeekDays

          public java.util.List<java.lang.Boolean> getWmOpenWeekDays()

      Gets the value of the wmOpenWeekDays property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmOpenWeekDays property.

      For example, to add a new item, do as follows:

              getWmOpenWeekDays().add(newItem);

      Objects of the following type(s) are allowed in the list `Boolean`

    - #### getWmStartStep

          public int getWmStartStep()

      Gets the value of the wmStartStep property.

    - #### setWmStartStep

          public void setWmStartStep(int value)

      Sets the value of the wmStartStep property.

    - #### getWmMinOccur

          public int getWmMinOccur()

      Gets the value of the wmMinOccur property.

    - #### setWmMinOccur

          public void setWmMinOccur(int value)

      Sets the value of the wmMinOccur property.

    - #### getWmMaxOccur

          public int getWmMaxOccur()

      Gets the value of the wmMaxOccur property.

    - #### setWmMaxOccur

          public void setWmMaxOccur(int value)

      Sets the value of the wmMaxOccur property.

    - #### getWmDistribPeriod

          public int getWmDistribPeriod()

      Gets the value of the wmDistribPeriod property.

    - #### setWmDistribPeriod

          public void setWmDistribPeriod(int value)

      Sets the value of the wmDistribPeriod property.

    - #### getWmBreakMinDistance

          public int getWmBreakMinDistance()

      Gets the value of the wmBreakMinDistance property.

    - #### setWmBreakMinDistance

          public void setWmBreakMinDistance(int value)

      Sets the value of the wmBreakMinDistance property.

    - #### getWmTaskSequenceUsage

          public int getWmTaskSequenceUsage()

      Gets the value of the wmTaskSequenceUsage property.

    - #### setWmTaskSequenceUsage

          public void setWmTaskSequenceUsage(int value)

      Sets the value of the wmTaskSequenceUsage property.

    - #### isWmUseConsecutive

          public boolean isWmUseConsecutive()

      Gets the value of the wmUseConsecutive property.

    - #### setWmUseConsecutive

          public void setWmUseConsecutive(boolean value)

      Sets the value of the wmUseConsecutive property.

    - #### getWmConsecutiveDays

          public int getWmConsecutiveDays()

      Gets the value of the wmConsecutiveDays property.

    - #### setWmConsecutiveDays

          public void setWmConsecutiveDays(int value)

      Sets the value of the wmConsecutiveDays property.

    - #### isWmUseAfterDayOff

          public boolean isWmUseAfterDayOff()

      Gets the value of the wmUseAfterDayOff property.

    - #### setWmUseAfterDayOff

          public void setWmUseAfterDayOff(boolean value)

      Sets the value of the wmUseAfterDayOff property.

    - #### getWmLatestStartDuration

          public int getWmLatestStartDuration()

      Gets the value of the wmLatestStartDuration property.

    - #### setWmLatestStartDuration

          public void setWmLatestStartDuration(int value)

      Sets the value of the wmLatestStartDuration property.

    - #### getWmEarliestEndDuration

          public int getWmEarliestEndDuration()

      Gets the value of the wmEarliestEndDuration property.

    - #### setWmEarliestEndDuration

          public void setWmEarliestEndDuration(int value)

      Sets the value of the wmEarliestEndDuration property.

    - #### getWmBreakMaxDistance

          public int getWmBreakMaxDistance()

      Gets the value of the wmBreakMaxDistance property.

    - #### setWmBreakMaxDistance

          public void setWmBreakMaxDistance(int value)

      Sets the value of the wmBreakMaxDistance property.

    - #### getWmShiftContractsNSizeIs

          public int getWmShiftContractsNSizeIs()

      Gets the value of the wmShiftContractsNSizeIs property.

    - #### setWmShiftContractsNSizeIs

          public void setWmShiftContractsNSizeIs(int value)

      Sets the value of the wmShiftContractsNSizeIs property.

    - #### getWmShiftContracts

          public java.util.List<CfgContractShift> getWmShiftContracts()

      Gets the value of the wmShiftContracts property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmShiftContracts property.

      For example, to add a new item, do as follows:

              getWmShiftContracts().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgContractShift`

    - #### getWmBMSequencesNSizeIs

          public int getWmBMSequencesNSizeIs()

      Gets the value of the wmBMSequencesNSizeIs property.

    - #### setWmBMSequencesNSizeIs

          public void setWmBMSequencesNSizeIs(int value)

      Sets the value of the wmBMSequencesNSizeIs property.

    - #### getWmBMSequences

          public java.util.List<CfgShiftBMSequence> getWmBMSequences()

      Gets the value of the wmBMSequences property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmBMSequences property.

      For example, to add a new item, do as follows:

              getWmBMSequences().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgShiftBMSequence`

    - #### getWmShiftMealsNSizeIs

          public int getWmShiftMealsNSizeIs()

      Gets the value of the wmShiftMealsNSizeIs property.

    - #### setWmShiftMealsNSizeIs

          public void setWmShiftMealsNSizeIs(int value)

      Sets the value of the wmShiftMealsNSizeIs property.

    - #### getWmShiftMeals

          public java.util.List<CfgShiftMeal> getWmShiftMeals()

      Gets the value of the wmShiftMeals property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmShiftMeals property.

      For example, to add a new item, do as follows:

              getWmShiftMeals().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgShiftMeal`

    - #### getWmShiftBreaksNSizeIs

          public int getWmShiftBreaksNSizeIs()

      Gets the value of the wmShiftBreaksNSizeIs property.

    - #### setWmShiftBreaksNSizeIs

          public void setWmShiftBreaksNSizeIs(int value)

      Sets the value of the wmShiftBreaksNSizeIs property.

    - #### getWmShiftBreaks

          public java.util.List<CfgShiftBreak> getWmShiftBreaks()

      Gets the value of the wmShiftBreaks property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmShiftBreaks property.

      For example, to add a new item, do as follows:

              getWmShiftBreaks().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgShiftBreak`

    - #### getWmShiftTaskSequencesNSizeIs

          public int getWmShiftTaskSequencesNSizeIs()

      Gets the value of the wmShiftTaskSequencesNSizeIs property.

    - #### setWmShiftTaskSequencesNSizeIs

          public void setWmShiftTaskSequencesNSizeIs(int value)

      Sets the value of the wmShiftTaskSequencesNSizeIs property.

    - #### getWmShiftTaskSequences

          public java.util.List<java.lang.Integer> getWmShiftTaskSequences()

      Gets the value of the wmShiftTaskSequences property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmShiftTaskSequences property.

      For example, to add a new item, do as follows:

              getWmShiftTaskSequences().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getTimestamp

          public long getTimestamp()

      Gets the value of the timestamp property.

    - #### setTimestamp

          public void setTimestamp(long value)

      Sets the value of the timestamp property.

    - #### withWmShiftId

          public CfgShift withWmShiftId(int value)

    - #### withWmBUId

          public CfgShift withWmBUId(int value)

    - #### withWmSiteIdNSizeIs

          public CfgShift withWmSiteIdNSizeIs(int value)

    - #### withWmSiteId

          public CfgShift withWmSiteId(java.lang.Integer... values)

    - #### withWmSiteId

          public CfgShift withWmSiteId(java.util.Collection<java.lang.Integer> values)

    - #### withWmName

          public CfgShift withWmName(java.lang.String value)

    - #### withWmMinDuration

          public CfgShift withWmMinDuration(int value)

    - #### withWmMaxDuration

          public CfgShift withWmMaxDuration(int value)

    - #### withWmEarliestStartTime

          public CfgShift withWmEarliestStartTime(double value)

    - #### withWmLatestEndDuration

          public CfgShift withWmLatestEndDuration(int value)

    - #### withWmDayOffRule

          public CfgShift withWmDayOffRule(int value)

    - #### withWmOpenWeekDays

          public CfgShift withWmOpenWeekDays(java.lang.Boolean... values)

    - #### withWmOpenWeekDays

          public CfgShift withWmOpenWeekDays(java.util.Collection<java.lang.Boolean> values)

    - #### withWmStartStep

          public CfgShift withWmStartStep(int value)

    - #### withWmMinOccur

          public CfgShift withWmMinOccur(int value)

    - #### withWmMaxOccur

          public CfgShift withWmMaxOccur(int value)

    - #### withWmDistribPeriod

          public CfgShift withWmDistribPeriod(int value)

    - #### withWmBreakMinDistance

          public CfgShift withWmBreakMinDistance(int value)

    - #### withWmTaskSequenceUsage

          public CfgShift withWmTaskSequenceUsage(int value)

    - #### withWmUseConsecutive

          public CfgShift withWmUseConsecutive(boolean value)

    - #### withWmConsecutiveDays

          public CfgShift withWmConsecutiveDays(int value)

    - #### withWmUseAfterDayOff

          public CfgShift withWmUseAfterDayOff(boolean value)

    - #### withWmLatestStartDuration

          public CfgShift withWmLatestStartDuration(int value)

    - #### withWmEarliestEndDuration

          public CfgShift withWmEarliestEndDuration(int value)

    - #### withWmBreakMaxDistance

          public CfgShift withWmBreakMaxDistance(int value)

    - #### withWmShiftContractsNSizeIs

          public CfgShift withWmShiftContractsNSizeIs(int value)

    - #### withWmShiftContracts

          public CfgShift withWmShiftContracts(CfgContractShift... values)

    - #### withWmShiftContracts

          public CfgShift withWmShiftContracts(java.util.Collection<CfgContractShift> values)

    - #### withWmBMSequencesNSizeIs

          public CfgShift withWmBMSequencesNSizeIs(int value)

    - #### withWmBMSequences

          public CfgShift withWmBMSequences(CfgShiftBMSequence... values)

    - #### withWmBMSequences

          public CfgShift withWmBMSequences(java.util.Collection<CfgShiftBMSequence> values)

    - #### withWmShiftMealsNSizeIs

          public CfgShift withWmShiftMealsNSizeIs(int value)

    - #### withWmShiftMeals

          public CfgShift withWmShiftMeals(CfgShiftMeal... values)

    - #### withWmShiftMeals

          public CfgShift withWmShiftMeals(java.util.Collection<CfgShiftMeal> values)

    - #### withWmShiftBreaksNSizeIs

          public CfgShift withWmShiftBreaksNSizeIs(int value)

    - #### withWmShiftBreaks

          public CfgShift withWmShiftBreaks(CfgShiftBreak... values)

    - #### withWmShiftBreaks

          public CfgShift withWmShiftBreaks(java.util.Collection<CfgShiftBreak> values)

    - #### withWmShiftTaskSequencesNSizeIs

          public CfgShift withWmShiftTaskSequencesNSizeIs(int value)

    - #### withWmShiftTaskSequences

          public CfgShift withWmShiftTaskSequences(java.lang.Integer... values)

    - #### withWmShiftTaskSequences

          public CfgShift withWmShiftTaskSequences(java.util.Collection<java.lang.Integer> values)

    - #### withTimestamp

          public CfgShift withTimestamp(long value)

    - #### setWmSiteId

          public void setWmSiteId(java.util.List<java.lang.Integer> wmSiteId)

      Sets the value of the wmSiteId property.
      Parameters:
        `wmSiteId` - allowed object is `Integer`

    - #### setWmOpenWeekDays

          public void setWmOpenWeekDays(java.util.List<java.lang.Boolean> wmOpenWeekDays)

      Sets the value of the wmOpenWeekDays property.
      Parameters:
        `wmOpenWeekDays` - allowed object is `Boolean`

    - #### setWmShiftContracts

          public void setWmShiftContracts(java.util.List<CfgContractShift> wmShiftContracts)

      Sets the value of the wmShiftContracts property.
      Parameters:
        `wmShiftContracts` - allowed object is `CfgContractShift`

    - #### setWmBMSequences

          public void setWmBMSequences(java.util.List<CfgShiftBMSequence> wmBMSequences)

      Sets the value of the wmBMSequences property.
      Parameters:
        `wmBMSequences` - allowed object is `CfgShiftBMSequence`

    - #### setWmShiftMeals

          public void setWmShiftMeals(java.util.List<CfgShiftMeal> wmShiftMeals)

      Sets the value of the wmShiftMeals property.
      Parameters:
        `wmShiftMeals` - allowed object is `CfgShiftMeal`

    - #### setWmShiftBreaks

          public void setWmShiftBreaks(java.util.List<CfgShiftBreak> wmShiftBreaks)

      Sets the value of the wmShiftBreaks property.
      Parameters:
        `wmShiftBreaks` - allowed object is `CfgShiftBreak`

    - #### setWmShiftTaskSequences

          public void setWmShiftTaskSequences(java.util.List<java.lang.Integer> wmShiftTaskSequences)

      Sets the value of the wmShiftTaskSequences property.
      Parameters:
        `wmShiftTaskSequences` - allowed object is `Integer`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.